#include <stdbool.h>
#include "../MIELIB/inc/maplebus.h"

#ifndef __XMAPLEDMA_H
#define __XMAPLEDMA_H

extern unsigned char bEOP;
	
#define DMA_ClearEOP() bEOP = 0xFF
#define DMA_IsEOPReceived() (!(bEOP & EOP))
#define IsFERRReceived() (!(GPIOA->IDR & FERR))

void SetupTransfer(LPMAPLEFRAME MapleFrame);
unsigned char ValidateDMABuffer(LPMAPLEFRAME MapleFrame);

#define IsDMAEnds() (!(DMA1_Channel5->CCR & 0x01))
#define DMAEnds() DMA1_Channel5->CCR = 0

#endif //	__XMAPLEDMA_H
