#ifndef __MOUSE_H
#define __MOUSE_H	 

//HOST->DEVICE
#define PS_RESET    				0XFF
#define RESEND	     				0XFE
#define SET_DEFAULT	 				0XF6
#define DIS_DATA_REPORT   	0XF5
#define EN_DATA_REPORT    	0XF4
#define SET_SAMPLE_RATE			0XF3
#define GET_DEVICE_ID       0XF2
#define SET_REMOTE_MODE     0XF0
#define SET_WRAP_MODE       0XEE
#define RST_WRAP_MODE       0XEC
#define READ_DATA           0XEB
#define SET_STREAM_MODE     0XEA
#define STATUS_REQUEST      0XE9
#define SET_RESOLUTION      0XE8
#define SET_SCALING21       0XE7
#define SET_SCALING11       0XE6
//DEVICE->HOST
#define ERROR	     		0XFC
//#define RESEND	     		0XFE

#define LEFT_DOWN  0X01
#define MID_DOWN   0X04
#define RIGHT_DOWN 0X02

typedef struct
{
	short x_pos;
	short y_pos;
	short z_pos;
	unsigned char  bt_mask;
} PS2_Mouse;

extern PS2_Mouse MouseX;
extern unsigned char MOUSE_ID;
extern unsigned char PS_2_MPacket[4];


unsigned char Init_Mouse(void);
void TRANSFER_Init(void);
void Mouse_Data_Pro(void);

#endif
